"""
test_DROP_Pasta.py — Stress Test: rimozione della tipo prodotto Pasta dal catalogo

Come funziona:
  1. import_dataset()                           : carica il catalogo completo
  2. Crea un'istanza di "TipoDropStressTest" con parametro "type_drop=['Pasta']" da droppare
  3. Chiama il metodo sim_TipoDropStressTest() : per le probabilità aggiorante
  4. Salva CSV con prodotti rimasti, probabilità medie, probabilità per segmento
[Si può aggiungere il plot come in altri test, vedere ad esempio test_DROP_A.py]

Output:
  - prodotti_noPasta.csv       : DataFrame prodotti dopo il drop
  - prob_prodotti_noPasta.csv  : vettore probabilità medie
  - prob_segmenti_noPasta.csv  : matrice probabilità per segmento
"""
import sys
import os
cartella_progetto = os.path.abspath(os.path.join(os.path.dirname(__file__), '..'))
if cartella_progetto not in sys.path:
    sys.path.append(cartella_progetto)
from models import *
from plot_segment_test import *
from prepare_data import import_dataset

prodotti_tab=import_dataset() 

test_noPasta = TipoDropStressTest(prodotti_tab, type_drop=['Pasta'])
res_noPasta = test_noPasta.sim_TipoDropStressTest(MNLChoiceModel, LatentChoiceModel)

plot_choice_probabilities(res_noPasta,test_label= "Drop Scaffale Pasta",segment_names= ["Loyal A","Loyal B","Loyal C","Loyal D", "Price", "Quality"])

# Esportazione caratteristiche prodotti rimasti
res_noPasta[0].to_csv(r'test_res\prodotti_noPasta.csv', index=False)
# Esportazione probabilità prodotti
res_noPasta[1].to_csv(r'test_res\prob_prodotti_noPasta.csv', header=False, index=False)
# Esportazione probabilità segmenti
res_noPasta[2].to_csv(r'test_res\prob_segmenti_noPasta.csv', header=False, index=False)

